Skip to main content
POST
/
audits
/
{auditId}
/
share-information-request-list
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.shareInformationRequestList({
    auditId: "<id>",
  });

  console.log(result);
}

run();
{
  "id": "65fc81a3359c8508c9af880f",
  "customerOrganizationName": "corporation.com",
  "customerDisplayName": "Corporation Company",
  "customerOrganizationId": "65fc81a3359c8508c9af880f",
  "auditStartDate": "2024-03-07T21:25:56.000Z",
  "auditEndDate": "2024-03-14T21:25:56.000Z",
  "earlyAccessStartsAt": "2024-03-07T21:25:56.000Z",
  "framework": "SOC 2 Type II",
  "displayName": "Q1 2024 SOC 2 Audit",
  "allowAuditorEmails": [
    "sam@auditor.com"
  ],
  "allowAllAuditors": true,
  "deletionDate": "2024-03-07T21:25:56.000Z",
  "creationDate": "2024-03-07T21:25:56.000Z",
  "modificationDate": "2024-03-07T21:25:56.000Z",
  "completionDate": "2024-03-07T21:25:56.000Z",
  "auditFocus": "EXTERNAL",
  "auditorRequestListMetadata": {
    "requestsSharedWithCustomer": "2024-03-07T21:25:56.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

Response

200 - application/json

Ok

id
string
required

The unique identifier for the audit.

customerOrganizationName
string
required

The domain name of the customer organization being audited (e.g. vanta.com)

customerDisplayName
string | null
required

The human readable name of the customer organization being audited (e.g. Vanta)

customerOrganizationId
string
required

The uuid of the customer organization being audited

auditStartDate
string<date-time>
required

The start of the audit window. This is also when data collection for audit starts.

auditEndDate
string<date-time>
required

The end of the audit window.

earlyAccessStartsAt
string<date-time> | null
required

Timestamp at which auditors gain access to the audit. Occurs before the audit window begins

framework
string
required

The name of the framework for the audit

displayName
string
required

The display name for the audit. Returns the custom audit name if set, otherwise returns the framework name.

allowAuditorEmails
string[]
required

Emails of auditors with access to audit

allowAllAuditors
boolean
required

Set to true if all auditors in audit firm have access

deletionDate
string<date-time> | null
required

Timestamp when the audit was deleted

creationDate
string<date-time>
required

Timestamp when the audit was created

modificationDate
string<date-time> | null
required

Timestamp when the audit was updated

completionDate
string<date-time> | null
required

Timestamp when the audit was marked completed, and report was uploaded

auditFocus
enum<string>
required

Audit focus determines if the audit is internal or external facing

Available options:
EXTERNAL,
INTERNAL
auditorRequestListMetadata
object

Metadata about the auditor request list. This field is only present for IRL (Information Request List) based audits and will be undefined for standard audits. Use the presence of this field to differentiate between IRL and non-IRL audits.